Subject: Re: [PATCH v3 net-next] net: phy: Add LED mode driver for Microsemi PHYs.

From: Andrew Lunn <[email-masked]>
Date: Thu, 16 Feb 2017 15:19:17 +0100

On Thu, Feb 16, 2017 at 02:36:48PM +0530, Raju Lakkaraju wrote:
> Hi Rob,
> 
> On Wed, Feb 15, 2017 at 10:45:40AM -0600, Rob Herring wrote:
> > EXTERNAL EMAIL
> > 
> > 
> > On Tue, Feb 07, 2017 at 07:10:26PM +0530, Raju Lakkaraju wrote:
> > > From: Raju Lakkaraju <[email-masked]>
> > >
> > > +                       Default value is VSC8531_LINK_1000_ACTIVITY (1).
> > > +- vsc8531,led-1-mode : LED mode. Specify how the LED[1] should behave.
> > 
> > You failed to address my comment on v2. vsc8531 is not a vendor prefix.
> > Please fix in a new patch since David already applied it.
> > 
> 
> Accpeted my fault. i missed your comment.
> Do i need to change from  "vsc8531, led-0-mode" to "mscc, led-0-mode"
> Is this your suggestion?

Hi Raju

Are there any in kernel users of this binding? I don't think there
are. I know Microsemi has a modified beagle bone black available as a
development board, but i don't think mainline support for this board
has been added yet?

Since there is nothing to remain backwards compatible with, you could
change all the property names?

       Andrew